# Create Counterparty

Creates a counterparty with the provided parameters. There are currently two types of verification available - verification with supporting documents, and with an incoming wire.

Endpoint: POST /api/v2/customers/{customer_id}/counterparties/
Version: Version: 8adbbb13
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer

## Path parameters:

  - `customer_id` (string, required)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Request fields (application/json):

  - `routing_number` (string, required)

  - `identifier` (string, required)
    Bank Account Number or IBAN Number

  - `identifier_code` (any)
    [DEPRECATED] This field is ignored. The identifier code is always set to WireCounterpartyIdentifierCode_DDA_D (Demand Deposit Account).

  - `address` (object, required)

  - `address.street_address` (string, required)
    Street address

  - `address.street_address2` (any)
    Apartment, Suite, Box number, etc.

  - `address.city` (string, required)
    City / Town

  - `address.postal_code` (string, required)
    Postal code / ZIP code

  - `address.state` (string, required)
    State (Postal Abbreviations. Example: "AL", "NJ", "OH")

  - `address.country` (string, required)
    A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")

  - `wire_instructions` (any)
    Any additional wire instructions required for the wire to be processed correctly.

  - `counterparty_name` (any, required)

  - `counterparty_name.business_name` (string, required)
    The name of the business counterparty.

  - `counterparty_name.type` (string, required)

  - `counterparty_name.first_name` (string, required)

  - `counterparty_name.last_name` (string, required)

  - `verification` (any, required)

  - `verification.type` (string, required)

  - `verification.wire_id` (string, required)

  - `verification.verification_method` (string, required)
    Underlying verification method
    Enum: "PLAID", "MICRO_DEPOSIT"

  - `verification.document_ids` (array, required)

  - `type` (string, required)

  - `ownership_type` (any)
    Relationship of the counterparty to the account holder. FIRST_PARTY means the counterparty is owned by the account holder, THIRD_PARTY means it is owned by a different entity.

  - `display_name` (any)
    An optional custom display name for the counterparty, useful for distinguishing multiple counterparties that share the same legal name.

  - `id` (any)
    An optional client-chosen UUID to assign as the counterparty's `id`. Supply one to know the counterparty's ID before it is created — useful for correlating a create that goes through an approval flow, or for making a retry safe. Omit it and Jiko generates the ID. Reusing an ID that already exists is rejected with `409`.

  - `account_number` (string, required)

  - `account_type` (string, required)
    Account type
    Enum: "CHECKING", "SAVINGS"

  - `account_number` (string, required)
    Represents the Jiko network address of the pocket.

  - `identifier_type` (string)
    Enum: "iban", "local"

  - `swift_bic` (string, required)

  - `id` (string, required)

  - `chain` (string, required)
    `ETH` is supported at this time.

  - `wallet_address` (string, required)

## Request examples:

  - `Domestic wire counterparty request` (unknown)

  - `Business international wire counterparty request with IBAN` (unknown)

  - `Individual international wire counterparty request with IBAN` (unknown)

  - `Business international wire counterparty request with Local Account Number` (unknown)

  - `Individual international wire counterparty request with Local Account Number` (unknown)

  - `Business international wire counterparty request with IBAN and supporting documents` (unknown)

## Response 201:

  - `201` (unknown)
    Successful Response

## Response 201 fields (application/json):

  - `id` (string, required)

  - `time_created` (string, required)

  - `status` (string, required)
    Enum: "PENDING", "FAILED", "LINKED", "UNLINKED", "CLOSED"

  - `verification` (any, required)

  - `verification.id` (string, required)

  - `verification.description` (any, required)

  - `verification.type` (string, required)

  - `verification.wire_id` (string, required)

  - `verification.status` (string, required)
    Enum: "PENDING_REVIEW", "APPROVED", "REJECTED"

  - `verification.verification_failure_count` (integer, required)

  - `verification.account_number_masked` (string, required)

  - `verification.supporting_documents` (array, required)

  - `verification.supporting_documents.id` (string, required)

  - `verification.supporting_documents.document_id` (string, required)

  - `verification.supporting_documents.status` (string, required)
    Enum: "PENDING_REVIEW", "APPROVED", "REJECTED"

  - `display_name` (any)
    An optional custom display name for the counterparty, useful for distinguishing multiple counterparties that share the same legal name.

  - `type` (string, required)

  - `counterparty_name` (string, required)

  - `institution_name` (any, required)

  - `routing_number` (any, required)

  - `account_number` (any, required)

  - `account_type` (string, required)
    Enum: "CHECKING", "SAVINGS"

  - `object_type` (string, required)

  - `address` (object, required)

  - `address.street_address` (string, required)
    Street address

  - `address.street_address2` (any)
    Apartment, Suite, Box number, etc.

  - `address.city` (string, required)
    City / Town

  - `address.postal_code` (string, required)
    Postal code / ZIP code

  - `address.state` (string, required)
    State (Postal Abbreviations. Example: "AL", "NJ", "OH")

  - `address.country` (string, required)
    A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")

  - `identifier` (string, required)

  - `identifier_code` (string, required)
    Enum: "SWIFT_BIC", "CHIPS_PARTICIPANT", "DIRECT_DEPOSIT_ACCOUNT", "FED_ROUTING_NUMBER", "SWIFT_ID_AND_ACCOUNT_NUMBER", "CHIPS_IDENTIFIER", "PASSPORT_NUMBER", "TAX_IDENTIFICATION_NUMBER", "DRIVERS_LICENSE_NUMBER", "ALIEN_REGISTRATION_NUMBER", "CORPORATE_IDENTIFICATION", "OTHER_IDENTIFICATION"

  - `wire_instructions` (any)
    Any additional wire instructions required for the wire to be processed correctly.

  - `ownership_type` (any)
    Relationship of the counterparty to the account holder. FIRST_PARTY means the counterparty is owned by the account holder, THIRD_PARTY means it is owned by a different entity.

  - `account_number` (string, required)
    Represents the Jiko network address of the pocket.

  - `swift_bic` (string, required)

  - `identifier_type` (string)
    Enum: "iban", "local"

  - `bank_name` (string, required)

  - `wallet_address` (string, required)

  - `chain` (string, required)

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

## Response 201 examples:

  - `Domestic wire counterparty` (unknown)

  - `Business international wire counterparty with IBAN` (unknown)

  - `Individual international wire counterparty with IBAN` (unknown)

  - `Business international wire counterparty with Local Account Number` (unknown)

  - `Individual international wire counterparty with Local Account Number` (unknown)

